<?php
/*
Plugin Name: Open Currency Converter
Plugin URI: https://wordpress.org/plugins/artiss-currency-converter/
Description: Convert currencies within the text of a post or page
Version: 1.3.1
Author: David Artiss
Author URI: http://www.artiss.co.uk
Text Domain: artiss-currency-converter
Domain Path: /languages
*/

/**
* Open Currency Converter
*
* Main code - include various functions
*
* @package	Open-Currency-Converter
* @since	1.0
*/

define( 'open_currency_converter_version', '1.3.1' );

/**
* Plugin initialisation
*
* Loads the plugin's translated strings
*
* @since	1.1
*/

function occ_plugin_init() {

    $language_dir = plugin_basename( dirname( __FILE__ ) ) . '/languages/';

	load_plugin_textdomain( 'artiss-currency-converter', false, $language_dir );

}

add_action( 'init', 'occ_plugin_init' );

/**
* Main Includes
*
* Include all the plugin's functions
*
* @since	1.0
*/

$functions_dir = WP_PLUGIN_DIR . '/artiss-currency-converter/includes/';

// Include all the various functions

include_once( $functions_dir . 'occ-get-options.php' );             // Fetch/create default options

include_once( $functions_dir . 'occ-shared-functions.php' );		// Shared functionality

include_once( $functions_dir . 'occ-convert-currency.php' );		// Main code to perform currency conversion

if ( is_admin() ) {

    include_once( $functions_dir . 'occ-admin-config.php' );        // Assorted admin configuration changes

} else {

	include_once( $functions_dir . 'occ-shortcodes.php' );	        // Shortcodes

	include_once( $functions_dir . 'occ-functions.php' );	        // PHP function calls
}
?>